> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bubblemaps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Batch Addresses Metadata

<Info>**Credit cost:** 1 per address.</Info>

Get metadata and <b>label</b> for a batch of addresses. Address list is passed in body.

The `is_paid_label` boolean indicates whether the label is a [community-submitted label](https://wiki.bubblemaps.io/bubblemaps-v2/submit-labels).

<Check>
  Labels, tags, and entities come from our refined database of 1B+ identified
  addresses.
</Check>

<Note>
  Address metadata is only available on custom plans. [Reach
  out](mailto:api@bubblemaps.io) if you are interested.
</Note>


## OpenAPI

````yaml POST /v0/addresses/metadata
openapi: 3.1.0
info:
  title: Bubblemaps Data API
  version: 0.2.2
servers:
  - url: https://api.bubblemaps.io
security: []
paths:
  /v0/addresses/metadata:
    post:
      tags:
        - v0
      summary: Get Addresses Metadata Batch
      operationId: get_addresses_metadata_batch_v0_addresses_metadata_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AddressMetadataBatchRequestV0'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AddressMetadataV0'
                type: array
                title: >-
                  Response Get Addresses Metadata Batch V0 Addresses Metadata
                  Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    AddressMetadataBatchRequestV0:
      properties:
        addresses:
          items:
            type: string
          type: array
          maxItems: 2500
          minItems: 1
          title: Addresses
      type: object
      required:
        - addresses
      title: AddressMetadataBatchRequestV0
    AddressMetadataV0:
      properties:
        address:
          type: string
          title: Address
        address_details:
          $ref: '#/components/schemas/AccountAddressDetails'
      type: object
      required:
        - address
        - address_details
      title: AddressMetadataV0
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AccountAddressDetails:
      properties:
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        degree:
          type: integer
          title: Degree
        is_supernode:
          type: boolean
          title: Is Supernode
        is_contract:
          type: boolean
          title: Is Contract
        is_cex:
          type: boolean
          title: Is Cex
        is_dex:
          type: boolean
          title: Is Dex
        is_paid_label:
          type: boolean
          title: Is Paid Label
          default: false
        entity_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Entity Id
        inward_relations:
          type: integer
          title: Inward Relations
        outward_relations:
          type: integer
          title: Outward Relations
        first_activity_date:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: First Activity Date
      type: object
      required:
        - degree
        - is_supernode
        - is_contract
        - is_cex
        - is_dex
        - inward_relations
        - outward_relations
      title: AccountAddressDetails
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-ApiKey

````